
-- Oxbo334
-- Specialization for Oxbo334
-- Date 08/31/2015
-- Copyright (C) Lindbejb (Lindbejb Modding)
-- Contact via PM @ lindbejb@gmail.com

Oxbo334 = {};

Oxbo334.modDir = g_currentModDirectory;


function Oxbo334.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function Oxbo334:load(savegame)
    
    self.windrowerTurnedOnRotationNodes = Utils.loadRotationNodes(xmlFile, {}, "vehicle.turnedOnRotationNodes.turnedOnRotationNode", "windrower", self.components); 
    self.windrowerScrollers = Utils.loadScrollers(self.components, xmlFile, "vehicle.windrowerScrollers.scrollerNode", {}, false);
        
    self.turnedOnTipScrollerSpeedFactor = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.turnedOnTipScrollerSpeedFactor#value"), 0.25); 
end;

function Oxbo334:delete()

end;

function Oxbo334:readStream(streamId, connection)
end;

function Oxbo334:writeStream(streamId, connection)
end;

function Oxbo334:mouseEvent(posX, posY, isDown, isUp, button)
end;

function Oxbo334:keyEvent(unicode, sym, modifier, isDown)
end;

function Oxbo334:update(dt)
    if self.isClient then
        Utils.updateRotationNodes(self, self.windrowerTurnedOnRotationNodes, dt, self:getIsActive() and self:getIsTurnedOn() );
        Utils.updateScrollers(self.windrowerScrollers, dt, self:getIsActive() and self:getIsTurnedOn());      
    end;
end;

function Oxbo334:onLeave()
end;


function Oxbo334:draw()
end;
    
function Oxbo334:onDetach()
end;
    
function Oxbo334:onDeactivate()
end;
    
function Oxbo334:onDeactivateSounds()
end;

function Oxbo334:getTipScrollerSpeed(superFunc)
    local value = 0;
    if self:getIsTurnedOn() then
        value = self.turnedOnTipScrollerSpeedFactor;
    end;
    value = math.max(value, superFunc(self));
end;


